interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/projects/test%2Fproject_members
  response:
    body:
      string: '{"id":17,"description":"","name":"project_members","name_with_namespace":"test
        / project_members","path":"project_members","path_with_namespace":"test/project_members","created_at":"2019-05-02T10:04:32.692Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_members.git","http_url_to_repo":"http://gitlab.example.com/test/project_members.git","web_url":"http://gitlab.example.com/test/project_members","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-05-02T10:04:32.692Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/17","issues":"http://gitlab.example.com/api/v4/projects/17/issues","merge_requests":"http://gitlab.example.com/api/v4/projects/17/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/17/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/17/labels","events":"http://gitlab.example.com/api/v4/projects/17/events","members":"http://gitlab.example.com/api/v4/projects/17/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":true,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"193fGp_sSeApTi6ARcc5","public_jobs":true,"ci_config_path":null,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge","permissions":{"project_access":null,"group_access":{"access_level":50,"notification_level":3}}}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1898'
      Content-Type:
      - application/json
      Date:
      - Thu, 02 May 2019 10:21:46 GMT
      Etag:
      - W/"84d7b0450860b37d07f6ef5cfd5ccc02"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - ht9JVSiko64
      X-Runtime:
      - '0.074211'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/projects/17/members
  response:
    body:
      string: '[]'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '2'
      Content-Type:
      - application/json
      Date:
      - Thu, 02 May 2019 10:21:46 GMT
      Etag:
      - W/"4f53cda18c2baa0c0354bb5f9a3ecbe5"
      Link:
      - <http://gitlab.example.com/api/v4/projects/17/members?id=17&page=1&per_page=20>;
        rel="first", <http://gitlab.example.com/api/v4/projects/17/members?id=17&page=1&per_page=20>;
        rel="last"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - ''
      X-Page:
      - '1'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - ''
      X-Request-Id:
      - LS32Saop6P4
      X-Runtime:
      - '0.021452'
      X-Total:
      - '0'
      X-Total-Pages:
      - '1'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/users?username=some_member
  response:
    body:
      string: '[{"id":10,"name":"Some Member","username":"some_member","state":"active","avatar_url":"https://www.gravatar.com/avatar/b2e136501f5640b23119174ee1c1d622?s=80\u0026d=identicon","web_url":"http://gitlab.example.com/some_member","created_at":"2019-05-02T09:58:06.713Z","bio":null,"location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"last_sign_in_at":null,"confirmed_at":"2019-05-02T09:58:06.561Z","last_activity_on":null,"email":"some_member@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":100000,"current_sign_in_at":null,"identities":[],"can_create_group":true,"can_create_project":true,"two_factor_enabled":false,"external":false,"private_profile":null,"is_admin":false}]'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '742'
      Content-Type:
      - application/json
      Date:
      - Thu, 02 May 2019 10:21:46 GMT
      Etag:
      - W/"cb1a1e61ba2570efd164a7e881b3503d"
      Link:
      - <http://gitlab.example.com/api/v4/users?active=false&blocked=false&external=false&order_by=id&page=1&per_page=20&sort=desc&username=some_member&with_custom_attributes=false>;
        rel="first", <http://gitlab.example.com/api/v4/users?active=false&blocked=false&external=false&order_by=id&page=1&per_page=20&sort=desc&username=some_member&with_custom_attributes=false>;
        rel="last"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - ''
      X-Page:
      - '1'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - ''
      X-Request-Id:
      - OZmp5kxsXe4
      X-Runtime:
      - '0.029533'
      X-Total:
      - '1'
      X-Total-Pages:
      - '1'
    status:
      code: 200
      message: OK
- request:
    body: '{"user_id": 10, "access_level": 30}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '35'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: POST
    uri: http://localhost/api/v4/projects/17/members
  response:
    body:
      string: '{"id":10,"name":"Some Member","username":"some_member","state":"active","avatar_url":"https://www.gravatar.com/avatar/b2e136501f5640b23119174ee1c1d622?s=80\u0026d=identicon","web_url":"http://gitlab.example.com/some_member","access_level":30,"expires_at":null}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '260'
      Content-Type:
      - application/json
      Date:
      - Thu, 02 May 2019 10:21:46 GMT
      Etag:
      - W/"ad04a6b40030113742fd8eaae4bc05a4"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - KfTGeVm3XF3
      X-Runtime:
      - '0.136188'
    status:
      code: 201
      message: Created
version: 1
